<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * @OA\RequestBody(
 *   request="CreateServer",
 *   required=true,
 *   @OA\JsonContent(
 *     required={"login", "password", "public"},
 *     @OA\Property(
 *       property="login",
 *       type="string",
 *       description="Login of the server",
 *     ),
 *     @OA\Property(
 *       property="password",
 *       type="string",
 *       description="Password of the server",
 *     ),
 *   ),
 * ),
 */
class CreateServerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'login' => 'required|string|max:255|unique:servers',
            'password' => 'required|string|min:6'
        ];
    }
}
